import request from '@/utils/request'

// 获取公司用户列表
export function getCompanyUser(parameter) {
  return request({
    url: '/api/company/user',
    method: 'get',
    params: parameter
  })
}
// 获取用户列表
export function getUser(parameter) {
  return request({
    url: '/api/sys-user',
    method: 'get',
    params: parameter
  })
}
// 获取公司列表
export function getCompanyAll(parameter) {
  return request({
    url: '/api/company/all',
    method: 'get',
    params: parameter
  })
}

// 获取用户详情
export function getUserDetails(parameter) {
  return request({
    url: '/api/sys-user/' + parameter,
    method: 'get',
  })
}

// 添加用户
export function addUser(parameter) {
  return request({
    url: '/api/sys-user',
    method: 'post',
    data: parameter
  })
}

// 编辑用户
export function putUser(parameter) {
  return request({
    url: '/api/sys-user',
    method: 'put',
    data: parameter
  })
}

// 重置用户密码
export function putResetUser(parameter) {
  return request({
    url: '/api/sys-user/pwd/reset',
    method: 'put',
    data: parameter
  })
}

// 删除用户
export function delUser(parameter) {
  return request({
    url: '/api/sys-user',
    method: 'delete',
    data: parameter
  })
}

// 获取车辆、仓库列表
export function getSysUserBind(parameter) {
  return request({
    url: '/api/sys-user/bind',
    method: 'get',
    params: parameter
  })
}
